import {
  MenuFoldOutlined, MenuUnfoldOutlined,
  DatabaseFilled
} from '@ant-design/icons';
import { Button, Layout, Menu, Tabs } from 'antd';
import 'antd/dist/antd.css';
import React, {useRef} from 'react';

import './App.less';
import ContentTabs from './ContentTabs'
import TabsRoute from './Router';
 
const { Header, Content, Footer, Sider } = Layout;

class App extends React.Component {

  constructor(props) {
    super(props)
    this.state = {
      platform: "openrec",
      tab: "tabledata",
      collapsed: false
    }
  }

  toggleCollapsed = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
  };

  changePlatform = (p) => {
    this.setState({platform: p})
    this.refs.ctabs.changePlatform(p)

  }

  render() {
    const {tab, platform } = this.state;

    return (

      <Layout>
        <Sider
          trigger={null}
          collapsible
          collapsed={this.state.collapsed}
          inlineCollapsed={this.state.collapsed}
        >
          <Button type="primary" onClick={this.toggleCollapsed} style={{ background: '#6739b6', width: "100%", colorRendering: "optimizeSpeed" }}>
            {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
          </Button>
          <Menu theme="dark" mode="inline" defaultSelectedKeys={['1']}
            defaultOpenKeys={['sub1']}
          >
            <Menu.Item key="openrec" icon={<DatabaseFilled />} onClick={(e) => { this.changePlatform(e.key); }}  >
              openrec
                </Menu.Item>
            <Menu.Item key="twitcasting" icon={<DatabaseFilled />} onClick={(e) => { this.changePlatform(e.key);; }}  >
              twitcasting
                </Menu.Item>
            <Menu.Item key="twitch" icon={<DatabaseFilled />} onClick={(e) => { this.changePlatform(e.key); }}  >
              twitch
                </Menu.Item>
          </Menu>
        </Sider>
        <Layout>
          
          <Header style={{ background: '#000', padding: "0" }}>

          </Header>
    
          <Content ref="content" style={{ margin: '0 8px' }}>
            <ContentTabs ref="ctabs" tab={tab} platform={platform}></ContentTabs>
          </Content>

          <Footer style={{ textAlign: 'center' }}>
            Intimate ©2020 Created by eson
            </Footer>
        </Layout>
      </Layout>
  
    );
  }
}

export default App;